# Remove shortcut arrow

Windowsのショートカットに標準でついている矢印をクリアします。

Windowsのショートカットの矢印を消すためには特定のレジストリを編集しなくてはなりません。
しかしインターネットで紹介されている多くのやり方では、矢印が消えなかったり、矢印の部分が黒くなってしまうことがあります。

このアプリケーションは、ショートカットアイコンの矢印を消すために最適化されたICOファイルを作成し、そのファイルへのパスをレジストリに登録します。

アプリケーションの実行には、管理者権限が必要です。

## 使い方

1. binディレクトリにあるremove-shortcut-arrow.exeをダブルクリックします
2. もしWindowsのスマートスクリーンの警告が出たら、「詳細情報」→「実行」で起動を許可してください
3. もし管理者権限での実行を求められたら「はい」と選択します
4. 実行したら一旦ログアウトして、再度ログインすれば矢印が消えています

もし矢印を元に戻したかったら、restore-shortcut-arrow.exeを実行して同様の操作を行います。

## エラーについて

このアプリケーションは、以下のような理由で一切メッセージを表示しません。

1. プログラムの依存関係を減らし、できるだけいろんな環境やシチュエーションで実行できるようにする
2. プログラムサイズ削減
3. 権限さえ足りていれば、普通は実行に失敗しない

もし実行の成否が知りたければ、コマンドプロンプト経由で以下のコマンドを入力します。

```cmd
start /wait remove-shortcut-arrow.exe
echo %ERRORLEVEL%
```

0が出力されていれば正常に完了できています。

## バグ報告

エラーが起きてその症状を改善して欲しい場合は、以下のいずれかの方法でエラーの内容を報告してください。

- プロジェクトの[Issue](https://gitlab.com/dokutoku/remove-shortcut-arrow/-/issues)で新規課題を生成する
- バグ報告専用アドレスである"contact-project+dokutoku-remove-shortcut-arrow-bug@incoming.gitlab.com"にバグの内容をメールで送信する

報告する場合は、以下の項目を忘れずに入力してください。

- OSのバージョン(32ビットか64ビットかも含む)
- 管理者権限で起動しているか否か
- 詳しいエラーの内容

## License

ライセンスは[CC0 1.0 Universal](https://creativecommons.org/publicdomain/zero/1.0/deed.ja)で誰でも自由に利用可能です。
